# How to Build Android Apps with Kotlin - Second Edition

<a href="https://www.packtpub.com/product/how-to-build-android-apps-with-kotlin-second-edition/9781837634934?utm_source=github&utm_medium=repository&utm_campaign=9781803235851"><img src="https://content.packt.com/B19411/cover_image_small.jpg" alt="" height="256px" align="right"></a>

This is the code repository for [How to Build Android Apps with Kotlin - Second Edition](https://www.packtpub.com/product/how-to-build-android-apps-with-kotlin-second-edition/9781837634934?utm_source=github&utm_medium=repository&utm_campaign=9781803235851), published by Packt.

**A practical guide to developing, testing, and publishing your first Android apps**

## What is this book about?
Looking to kick-start your app development journey with Android 13, but don’t know where to start? How to Build Android Apps with Kotlin is a comprehensive guide that will help jump-start your Android development practice.

This book covers the following exciting features:
* Create maintainable and scalable apps using Kotlin
* Understand the Android app development lifecycle
* Simplify app development with Google architecture components
* Use standard libraries for dependency injection and data parsing
* Apply the repository pattern to retrieve data from outside sources
* Build user interfaces using Jetpack Compose
* Explore Android asynchronous programming with Coroutines and the Flow API
* Publish your app on the Google Play store

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1837634939) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
<resources>
    <string name="app_name">My Application</string>
</resources>
```

**Following is what you need for this book:**
If you want to build Android applications using Kotlin but are unsure of how and where to begin, then this book is for you. To easily grasp the concepts in this book, a basic understanding of Kotlin, or experience in a similar programming language is a must.

With the following software and hardware list you can run all code files present in the book (Chapter 1-17).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 1-17 | Android Studio Electric Eel or higher | 64-bit Windows 8/10/11, macOS, or 64-bit Linux |

We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://packt.link/vnOCn).

### Related products
* Kotlin Design Patterns and Best Practices - Second Edition [[Packt]](https://www.packtpub.com/product/kotlin-design-patterns-and-best-practices-second-edition/9781801815727?utm_source=github&utm_medium=repository&utm_campaign=9781801815727) [[Amazon]](https://www.amazon.com/dp/1801815720)

* Simplifying Android Development with Coroutines and Flows [[Packt]](https://www.packtpub.com/product/simplifying-android-development-with-coroutines-and-flows/9781801816243?utm_source=github&utm_medium=repository&utm_campaign=9781801816243) [[Amazon]](https://www.amazon.com/dp/B0B25BXKZT)


## Get to Know the Authors
**Alex Forrester** is an experienced software developer with more than 20 years of experience in mobile
and web development and content management systems. He has worked with Android since 2010,
creating flagship apps for blue-chip companies across a broad range of industries at Sky, The Automobile
Association, HSBC, Discovery Channel, and O2. Alex lives in Hertfordshire with his wife and daughter.
When he's not developing, he likes rugby and running in the Chiltern hills.

**Eran Boudjnah** is a developer with over 20 years of experience in developing desktop applications,
websites, interactive attractions, and mobile applications. He has worked with Android since 2011,
developing apps and leading mobile teams for a wide range of clients, from start-ups (JustEat and
Plume Design) to large-scale companies (Sky and HSBC) and conglomerates. He is passionate about
board games (with a modest collection of a few hundred games) and has a Transformers collection
he's quite proud of. Eran lives in Brentwood, England, with Lea, his wife.

**Alexandru Dumbravan** is an Android developer with more than 10 years of experience building
Android apps, focusing on fintech applications since 2016 when he moved to London. In his spare
time, Alex enjoys video games, movies, and the occasional gym visit.

**Jomar Tigcal** is an Android developer with over 14 years of experience in mobile and software
development. He has worked on various stages of Android app development for small start-ups and
large companies since 2012. Jomar has also given talks and conducted training and workshops on
Android. In his free time, he likes running and reading. He lives in Vancouver, BC, Canada, with his
wife Celine.

## Other books by the authors
[How to Build Android Apps with Kotlin.](https://www.packtpub.com/product/how-to-build-android-apps-with-kotlin/9781838984113?utm_source=github&utm_medium=repository&utm_campaign=9781838984113)

[Clean Android Architecture](https://www.packtpub.com/product/clean-android-architecture/9781803234588?utm_source=github&utm_medium=repository&utm_campaign=9781803234588)

[Simplifying Android Development with Coroutines and Flows](https://www.packtpub.com/product/simplifying-android-development-with-coroutines-and-flows/9781801816243?utm_source=github&utm_medium=repository&utm_campaign=9781801816243)
